VERSION 5.00
Begin VB.Form frmMultiList 
   Caption         =   "Multi-Selection List Box Demo"
   ClientHeight    =   2775
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5100
   LinkTopic       =   "Form1"
   ScaleHeight     =   2775
   ScaleWidth      =   5100
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstSelect 
      Height          =   2370
      Left            =   2880
      TabIndex        =   5
      Top             =   240
      Width           =   2055
   End
   Begin VB.CommandButton cmdDeSelAll 
      Caption         =   "<<"
      Height          =   375
      Left            =   2280
      TabIndex        =   4
      Top             =   1920
      Width           =   495
   End
   Begin VB.CommandButton cmdDeSel 
      Caption         =   "<"
      Height          =   375
      Left            =   2280
      TabIndex        =   3
      Top             =   1440
      Width           =   495
   End
   Begin VB.CommandButton cmdSelect 
      Caption         =   ">"
      Height          =   375
      Left            =   2280
      TabIndex        =   2
      Top             =   960
      Width           =   495
   End
   Begin VB.CommandButton cmdSelectAll 
      Caption         =   ">>"
      Height          =   375
      Left            =   2280
      TabIndex        =   1
      Top             =   480
      Width           =   495
   End
   Begin VB.ListBox lstSource 
      Height          =   2370
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   2055
   End
End
Attribute VB_Name = "frmMultiList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

    
    Private Sub Form_Load()
        lstSource.AddItem "Ayuthaya"
        lstSource.AddItem "Bangkok"
        lstSource.AddItem "Cha-um"
        lstSource.AddItem "Chiengmai"
        lstSource.AddItem "Chiengrai"
        lstSource.AddItem "Chonburi"
        lstSource.AddItem "Huahin"
        lstSource.AddItem "Krabi"
        lstSource.AddItem "Karnchanaburi"
        lstSource.AddItem "Phuket"
        lstSource.AddItem "Samui"
        lstSource.AddItem "Suratthani"
        lstSource.AddItem "Udonthani"
        
        ButtonStatus
    End Sub
    
    Private Sub cmdDesel_Click()
        If lstSource.MultiSelect = False Or lstSelect.SelCount = 0 Then
            If lstSelect.ListIndex >= 0 Then
                lstSource.AddItem lstSelect.Text
                lstSelect.RemoveItem lstSelect.ListIndex
            End If
        Else
            Dim i As Long
            Do While i < lstSelect.ListCount
                If lstSelect.Selected(i) Then
                    lstSource.AddItem lstSelect.List(i)
                    lstSelect.RemoveItem i
                Else
                    i = i + 1
                End If
            Loop
        End If
        ButtonStatus
        
    End Sub
    
    Private Sub cmdDeselAll_Click()
        Do While lstSelect.ListCount
            lstSource.AddItem lstSelect.List(0)
            lstSelect.RemoveItem 0
        Loop
        ButtonStatus
        
    End Sub
    
    Private Sub cmdSelect_Click()
        If lstSource.MultiSelect = False Or lstSource.SelCount = 0 Then
            If lstSource.ListIndex >= 0 Then
                lstSelect.AddItem lstSource.Text
                lstSource.RemoveItem lstSource.ListIndex
            End If
        Else
            Dim i As Long
            Do While i < lstSource.ListCount
                If lstSource.Selected(i) Then
                    lstSelect.AddItem lstSource.List(i)
                    lstSource.RemoveItem i
                Else
                    i = i + 1
                End If
            Loop
        End If
        ButtonStatus
    End Sub
    
    Private Sub cmdSelectAll_Click()
        Do While lstSource.ListCount
            lstSelect.AddItem lstSource.List(0)
            lstSource.RemoveItem 0
        Loop
        ButtonStatus
    End Sub
    
    Private Sub lstSelect_Click()
        ButtonStatus
    End Sub
    
    Private Sub lstSelect_DblClick()
        ButtonStatus
    End Sub
    
    Private Sub lstSource_Click()
        ButtonStatus
    End Sub
    
    Private Sub lstSource_DblClick()
        ButtonStatus
    End Sub
    
    Private Sub ButtonStatus()
        cmdSelect.Enabled = (lstSource.ListCount > 0 And lstSource.ListIndex <> -1 _
            Or lstSource.SelCount > 0)
        cmdSelectAll.Enabled = (lstSource.ListCount > 0)
        cmdDeSel.Enabled = (lstSelect.ListCount > 0 And lstSelect.ListIndex <> -1 _
        Or lstSelect.SelCount > 0)
        cmdDeSelAll.Enabled = (lstSelect.ListCount > 0)
    End Sub
    

